#!/usr/bin/env python

from PyQt4.QtCore import *
from PyQt4.QtGui import *

import re_selection_ui

class RESelection(QDialog):
    def __init__(self, parent=None):
        QWidget.__init__(self, parent)
        self.ui=re_selection_ui.Ui_frmRESelection()
        self.ui.setupUi(self)
        
        QObject.connect(self.ui.prova2,SIGNAL("clicked()"),self.pbOK_clicked)
        QObject.connect(self.ui.pbCancel,SIGNAL("clicked()"),self.pbCancel_clicked)
        QObject.connect(self.ui.pbAdd,SIGNAL("clicked()"),self.pbAdd_clicked)
        QObject.connect(self.ui.pbRemove,SIGNAL("clicked()"),self.pbRemove_clicked)
        QObject.connect(self.ui.pbAddAll,SIGNAL("clicked()"),self.pbAddAll_clicked)
        QObject.connect(self.ui.pbRemoveAll,SIGNAL("clicked()"),self.pbRemoveAll_clicked)


    def pbAdd_clicked(self):
        row=self.ui.lwAvailableRE.currentRow()
        if (row!=-1):
            selectedItem = self.ui.lwAvailableRE.item(row)
            self.ui.lwSelectedRE.addItem(selectedItem.text())

            item=self.ui.lwAvailableRE.takeItem(row)
            del item

            self.ui.lwSelectedRE.sortItems()

    def pbRemove_clicked(self):
        row=self.ui.lwSelectedRE.currentRow()
        if (row!=-1):
            selectedItem = self.ui.lwSelectedRE.item(row)
        
            self.ui.lwAvailableRE.addItem(selectedItem.text())

            item=self.ui.lwSelectedRE.takeItem(row)
            del item

            self.ui.lwAvailableRE.sortItems()

    def pbAddAll_clicked(self):
        """add all restriction enzymes"""
        for row in range(self.ui.lwAvailableRE.count()):
            #print row
            selectedItem=self.ui.lwAvailableRE.item(row)
            self.ui.lwSelectedRE.addItem(selectedItem.text())

        self.ui.lwAvailableRE.clear()
        self.ui.lwSelectedRE.sortItems()

    def pbRemoveAll_clicked(self):
        """remove all restriction enzymes"""
        for row in range(self.ui.lwSelectedRE.count()):
            #print row
            selectedItem=self.ui.lwSelectedRE.item(row)
            self.ui.lwAvailableRE.addItem(selectedItem.text())

        self.ui.lwSelectedRE.clear()
        self.ui.lwAvailableRE.sortItems()


    def pbOK_clicked(self):
        self.accept()

    def pbCancel_clicked(self):
        self.reject()

