#!/usr/bin/env python

from PyQt4.QtCore import *
from PyQt4.QtGui import *

import seq_selector_ui
import sys

class SeqSelector(QDialog):
    def __init__(self, parent=None):
        QWidget.__init__(self, parent)
        self.ui=seq_selector_ui.Ui_Dialog()
        self.ui.setupUi(self)
        
        QObject.connect(self.ui.pbSelectAll,SIGNAL("clicked()"),self.pbSelectAll_clicked)
        QObject.connect(self.ui.pbUnSelectAll,SIGNAL("clicked()"),self.pbUnSelectAll_clicked)        
        QObject.connect(self.ui.pbInvertSelection,SIGNAL("clicked()"),self.pbInvertSelection_clicked)        
        
    
    def pbSelectAll_clicked(self):
        "select all sequences"
        for row in range(self.ui.twSeq.rowCount()):
            if self.ui.twSeq.item(row, 0):
                item = self.ui.twSeq.item(row, 0)
                item.setCheckState(Qt.Checked)

    def pbUnSelectAll_clicked(self):
        "unselect all sequences"
        for row in range(self.ui.twSeq.rowCount()):
            if self.ui.twSeq.item(row, 0):
                item = self.ui.twSeq.item(row, 0)
                item.setCheckState(Qt.Unchecked)

    def pbInvertSelection_clicked(self):
        "unselect all sequences"
        for row in range(self.ui.twSeq.rowCount()):
            if self.ui.twSeq.item(row, 0):
                item = self.ui.twSeq.item(row, 0)
                
                if item.checkState() == Qt.Checked:
                    item.setCheckState(Qt.Unchecked)
                else:
                    item.setCheckState(Qt.Checked)    


